<?php

/**
 * @file
 * Configuration for ipstack module.
 */

/**
 * Ipstack settings form.
 */
function ipstack_settings_form($form, &$form_state) {
  $form['ipstack_api_key'] = array(
    '#type' => 'textfield',
    '#title' => t('Ipstack API key'),
    '#required' => TRUE,
    '#default_value' => variable_get('ipstack_api_key', ''),
    '#description' => t("Get Access Key by register at
      <a href='@url' rel='nofollow' target='_new'>ipstack.com</a>.",
      array('@url' => 'https://ipstack.com')
       ),
  );

  return system_settings_form($form);
}

/**
 * Ipstack test form.
 */
function ipstack_test_form($form, &$form_state) {
  $form = array();
  $form['ip'] = array(
    '#type' => 'textfield',
    '#title' => t('IP address'),
    '#required' => TRUE,
    '#default_value' => ip_address(),
    '#description' => t("IP address for test retrieving
      <a href='@url' rel='nofollow' target='_new'>ipstack.com</a> data.",
      array('@url' => 'https://ipstack.com')
    ),
  );
  $form['actions'] = array('#type' => 'actions');
  $form['actions']['submit'] = array(
    '#type' => 'submit',
    '#value' => t('Test'),
  );

  return $form;
}

/**
 * Form submission for ipstack_test_form().
 */
function ipstack_test_form_submit($form, &$form_state) {
  $data = ipstack($form_state['values']['ip']);

  if (!empty($data)) {
    $msg = $data;
  }
  else {
    $msg = t('No data');
  }
  drupal_set_message('<pre>' . print_r($msg,1) . '</pre>');
}
